Skip to main content

Get customer rewards

GET /v1/public/customers/{customerId}/rewards

Lists reward instances belonging to one merchant customer.

Authorization

X-API-Key required with the customers:read scope

Parameters

NameLocationTypeRequiredDescription
customerIdpathstringYesThe customer's returned id or externalId.
cursorquerystringNoOpaque nextCursor returned by the previous list request. Do not construct or modify it.
limitqueryintegerNoMaximum resources to return.
statusqueryactive, redeemed, expiredNoFilter by customer-reward status.

Request example

curl -X GET "https://api.remyrewards.co.uk/v1/public/customers/66c735e253f2836fbe941235/rewards?limit=25" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY"

Responses

StatusDescription
200Customer rewards retrieved.
400The request is missing a required value or contains invalid data.
401The API key is missing or invalid.
403The API key is valid but does not have the required scope.
404The requested integration resource was not found.
429A rate or concurrency limit was exceeded.

Success response example

{
"success": true,
"data": [],
"pagination": {
"limit": 25,
"hasMore": false,
"nextCursor": null
}
}